package com.mvc.iot.onenet.model;

import com.alibaba.fastjson.JSONObject;

/**
 * OneNetApiResponseModel
 */
public class OneNetApiResponseModel {
    private Integer code;//错误码，当为0时表示请求成功，取值见错误码说明表
    private String msg;//错误描述信息
    private JSONObject data;//具体响应内容
    private String request_id;//API请求链路id

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public JSONObject getData() {
        return data;
    }

    public void setData(JSONObject data) {
        this.data = data;
    }

    public String getRequest_id() {
        return request_id;
    }

    public void setRequest_id(String request_id) {
        this.request_id = request_id;
    }
}
